<div id="section-{{ section.id }}" class="site-box-container container--fullscreen box--can-stick">

  <div class="site-box box--big lap--box--small-fl box--typo-big box--center-align box--column-flow box__heading" id="theLatestWrapper" data-order="0">

       <!--    
        <div class="the-latest-imges-wrapper">
          
           <div class="latest-img-top">
             	<div class="text-the">the</div>
             	<div class="latest-line-img"></div>
          </div>
          
           <div class="latest-img-bottom">
             	<div class="text-latest">Latest</div>
          </div>
        </div>

        -->
    
        <div class="fashion_v4_logo_wrapper">
          <div class="fashion_v4_logo">
                <img src="{{ 'Icon_Fashion4.svg' | asset_url }}" />
          </div>
        </div>

  </div>

  <div class="site-box box--big lap--box--bigger box--typo-big box--center-align box--column-flow box--no-padding box__blog" data-order="1">
    <div class="site-box-content">
      
      {% assign blog_count = blogs[section.settings.home_blog_select].articles_count | times: 1 %}
      {% assign per_page = section.settings.home_blog_no | times: 1 %}

      {% if blog_count == 0 %}
        
        {% for i in (1..per_page) %}
          {% include 'blog_post-blank' %}
        {% endfor %}

      {% else %}
        
        {% for article in blogs[section.settings.home_blog_select].articles limit:per_page %}
          {% include 'blog_post-content' %}
        {% endfor %}

      {% endif %}
    </div>

  </div>

</div>

{{ 'blogposts_css.scss' | asset_url | stylesheet_tag }}

{% schema %}
  {
    "name": "Blog posts",
    "class": "index-section mount-blog",
    "settings": [
     
     {
      "type": "image_picker",
      "id": "logob",
      "label": "Blog image"
    },
      {
        "type": "checkbox",
        "id": "meta_enable",
        "label": "Show author and date"
      },
      {
        "type": "header",
        "content": "Content"
      },
      {
        "type": "blog",
        "id": "home_blog_select",
        "label": "Blog"
      },
      {
        "type": "range",
        "id": "home_blog_no",
        "label": "Number of posts",
        "min": 2,
        "max": 6,
        "step": 2,
        "default": 2
      }
    ],    
    "presets": [{
      "name": "Blog posts",
      "category": "Blog"
    }]
  }
{% endschema %}